@if (section) {
  <div class="section">
    @if (hasData) {
      <table class="full-width" aria-label="{{ section.title }}">
        <tr>
          @for (title of section.header; track title) {
            <th>{{ title | translate }}</th>
          }
        </tr>
        @for (row of section.rows; track row) {
          <tr>
            @for (cellValue of row.values; track cellValue) {
              @if (!row.displayInItalic) {
                <td class="table-cell">
                  {{ (cellValue | translate) || '-' }}
                </td>
              }
              @if (row.displayInItalic) {
                <td class="table-cell">
                  <i>{{ (cellValue | translate) || '-' }}</i>
                </td>
              }
            }
          </tr>
        }
      </table>
    }
    @if (!hasData) {
      <div>
        {{ 'sqtm-core.generic.label.no-data' | translate }}
      </div>
    }
  </div>
}
